GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "e1f82dce-375c-41f9-ae39-78bdb18e4d78",
    "selected_nameplate_id": "3ea7c806-4232-4b60-a61c-1adffeccb7e6",
    "active": true,
    "department_id": "f87ea7a3-755e-4982-86aa-245a90022adc",
    "id": "b08a8594-0ecf-4f11-91d3-99488ca7a270",
    "physical_item_id": "19e94adf-a810-46a1-a385-06549a0f4399",
    "service_item_id": "7df762af-07b3-4642-b9b1-fd30fa8b27a7",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "e1f82dce-375c-41f9-ae39-78bdb18e4d78",
    "selected_nameplate_id": "3ea7c806-4232-4b60-a61c-1adffeccb7e6",
    "active": true,
    "department_id": "f87ea7a3-755e-4982-86aa-245a90022adc",
    "id": "b08a8594-0ecf-4f11-91d3-99488ca7a270",
    "physical_item_id": "19e94adf-a810-46a1-a385-06549a0f4399",
    "service_item_id": "7df762af-07b3-4642-b9b1-fd30fa8b27a7",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>f87ea7a3-755e-4982-86aa-245a90022adc</department_id>
    <id>b08a8594-0ecf-4f11-91d3-99488ca7a270</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>19e94adf-a810-46a1-a385-06549a0f4399</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>7df762af-07b3-4642-b9b1-fd30fa8b27a7</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>3ea7c806-4232-4b60-a61c-1adffeccb7e6</selected_nameplate_id>
    <selected_sticker_id>e1f82dce-375c-41f9-ae39-78bdb18e4d78</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>f87ea7a3-755e-4982-86aa-245a90022adc</department_id>
    <id>b08a8594-0ecf-4f11-91d3-99488ca7a270</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>19e94adf-a810-46a1-a385-06549a0f4399</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>7df762af-07b3-4642-b9b1-fd30fa8b27a7</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>3ea7c806-4232-4b60-a61c-1adffeccb7e6</selected_nameplate_id>
    <selected_sticker_id>e1f82dce-375c-41f9-ae39-78bdb18e4d78</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>